Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(86)

Issue 12189010: Do not rely on secure API functions when using MinGW-w64 (Closed)

Created:
7 years, 10 months ago by Net147
Modified:
7 years, 5 months ago
Reviewers:
alexeif, Yang
CC:
v8-dev
Visibility:
Public.

Description

Do not rely on secure API functions when using MinGW-w64 Windows XP does not provide secure API functions in msvcrt.dll but newer versions of Windows do. Avoid using secure API functions for compatibility with msvcrt.dll on Windows XP. Contributed by net147@gmail.com BUGS= TEST= Committed: https://code.google.com/p/v8/source/detail?r=13603

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -3 lines) Patch
M src/platform-win32.cc View 2 chunks +7 lines, -3 lines 0 comments Download

Messages

Total messages: 8 (0 generated)
Net147
7 years, 10 months ago (2013-02-04 13:04:49 UTC) #1
Yang
On 2013/02/04 13:04:49, Net147 wrote: I'm confused. Is v8_localtime_s et al. something that MinGW provides?
7 years, 9 months ago (2013-02-06 10:34:24 UTC) #2
Net147
On 2013/02/06 10:34:24, Yang wrote: > On 2013/02/04 13:04:49, Net147 wrote: > > I'm confused. ...
7 years, 9 months ago (2013-02-06 10:39:52 UTC) #3
Yang
On 2013/02/06 10:39:52, Net147 wrote: > On 2013/02/06 10:34:24, Yang wrote: > > On 2013/02/04 ...
7 years, 9 months ago (2013-02-06 10:47:50 UTC) #4
Net147
On 2013/02/06 10:47:50, Yang wrote: > On 2013/02/06 10:39:52, Net147 wrote: > > On 2013/02/06 ...
7 years, 9 months ago (2013-02-06 10:49:07 UTC) #5
Yang
On 2013/02/06 10:49:07, Net147 wrote: > On 2013/02/06 10:47:50, Yang wrote: > > On 2013/02/06 ...
7 years, 9 months ago (2013-02-06 10:58:36 UTC) #6
Yang
Committed manually as r13603 (presubmit successful).
7 years, 9 months ago (2013-02-06 10:59:56 UTC) #7
Murakamy2013
7 years, 5 months ago (2013-07-05 08:04:17 UTC) #8
Message was sent while issue was closed.
On 2013/02/06 10:59:56, Yang wrote:
> Committed manually as r13603 (presubmit successful).

Vcvnm

Powered by Google App Engine
This is Rietveld 408576698